<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\LeiterMitarbeiterAndererVeranstalter\Detailsreiter\Fotos;

class FotosView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'veranstalter/leiter_mitarbeiter_anderer_veranstalter/dozentdetails/detailsreiter/fotos.sgt';
  }

  protected function getHeaderDataModulArray()
  {
    return array($this->viewModel->dozent);
  }

  protected function getHeaderExportAdapter()
  {
    return new \ExpDozenten();
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->fotos;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpFotos();
  }

  protected function getFooterDataModulArray()
  {
    return array($this->viewModel->dozent);
  }

  protected function getFooterExportAdapter()
  {
    return new \ExpDozenten();
  }
}

class FotosViewModel
{
  public $dozent;
  public $fotos;
}